be.fgov.ehealth.commons._1_0.protocol

## Class ResponseType

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.ResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GetEtkResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:47:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class ResponseType
      extends Object
      implements Serializable

  Java class for ResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:1_0:core}Status"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `Status` | `getStatus()` Gets the value of the status property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setStatus(Status value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseType

          public ResponseType()

  - ### Method Detail

    - #### getStatus

          public Status getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `Status`

    - #### setStatus

          public void setStatus(Status value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `Status`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.